Skip to main content
POST
/
v1
/
cwobject
/
revoke-access-key
/
principal
Revoke a principal's access keys
curl --request POST \
  --url https://api.coreweave.com/v1/cwobject/revoke-access-key/principal \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "principalName": "<string>"
}
'
This response has no body data.

gRPC method: RevokeAccessKeysByPrincipal

Revokes every access key owned by principalName.
data.json
{
  "principalName": "coreweave/ueqXfgRCYGqptEXAMPLE1"
}
Example request
curl -X POST https://api.coreweave.com/v1/cwobject/revoke-access-key/principal \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer {API_ACCESS_TOKEN}" \
       -d @data.json

Authorizations

Authorization
string
header
default:Bearer {API_ACCESS_TOKEN}
required

CoreWeave API access token sent as a bearer token in the Authorization header (the value is prefixed with Bearer). Used by every operation except the SAML/OIDC token-exchange endpoints (anonymous) and the container credentials GET (which uses ContainerCredentialsAuth).

Body

application/json

Inputs for revoking every access key owned by a principal.

principalName
string
required

The fully-qualified principal whose access keys should be revoked.

Response

Last modified on June 25, 2026